use super::{PossessionData, WeaponData};
use crate::models::item::SkillType;

pub fn data() -> PossessionData {
    PossessionData {
     weapon_data: Some(WeaponData {
         uses_skill: SkillType::Fists,
         raw_min_to_learn: 0.0,
         raw_max_to_learn: 2.0,
         normal_attack_start_messages: vec!(
             Box::new(|attacker, victim, exp|
                      format!("{} bares {} teeth and lunges at {}",
                              &attacker.display_for_sentence(exp, 1, true),
                              &attacker.pronouns.possessive,
                              &victim.display_for_sentence(exp, 1, false),
                      )
             )
         ),
         normal_attack_success_messages: vec!(
             Box::new(|attacker, victim, part, exp|
                      format!("{}'s teeth connect and tear at the flesh of {}'s {}",
                              &attacker.display_for_sentence(exp, 1, true),
                              &victim.display_for_sentence(exp, 1, false),
                              &part.display(victim.sex.clone())
                      )
             )
         ),
         ..Default::default()
     }),
     ..Default::default()
    }
}
